
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "BM EXIT" {
  frm20103={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="ik_demo.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "ERASE STRINGS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      textalignment="<"
      layer_name="ik_demo.str"
    }
  }
}]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="ik_demo.str"
    }
  }
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="ik_demo.str"
    }
  }
}]

set status [ SclFunction "ZOOM OUT" {} ]

set status [ SclFunction "STR MATHS" {
  frm00700={
    {
      _action=display
      file_loc="ik_demo.str"
      file_id=""
      result_loc="ik_transform"
      main=table { str_range constraint field expr } {
        { "" "" "d2" "iif(d1>1,0,1)" }
        { "" "" "d3" "iif(d1>3,0,1)" }
        { "" "" "d4" "iif(d1>5,0,1)" }
        { "" "" "d5" "iif(d1>10,0,1)" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
      }
    }
  }
}]


catch {set status [ SclFunction "RECALL ANY FILE" {
  file="IK_transformation.xls"
  mode="openInNewLayer"
}]}

puts ""
puts ""
puts "macro 2d_11a_ik_transform.tcl completed"
puts ""